umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
CPPHeaderCodeOperation Class Reference

`#include <cppheadercodeoperation.h>`

Inheritance diagram for CPPHeaderCodeOperation:

## Public Member Functions
| CPPHeaderCodeOperation (CPPHeaderCodeDocument *doc, UMLOperation *op, const QString &body=QString(), const QString &comment=QString())
virtual | ~CPPHeaderCodeOperation ()
virtual int | lastEditableLine ()
virtual void | updateMethodDeclaration ()
virtual void | updateContent ()
Public Member Functions inherited from CodeOperation
| CodeOperation (ClassifierCodeDocument *doc, UMLOperation *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeOperation ()
UMLOperation * | getParentOperation ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual void | loadFromXMI (QDomElement &root)
virtual void | setAttributesFromObject (TextBlock *obj)
Public Member Functions inherited from CodeMethodBlock
| CodeMethodBlock (ClassifierCodeDocument *doc, UMLObject *parentObj, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeMethodBlock ()
virtual QString | toString () const
QString | getStartMethodText () const
QString | getEndMethodText () const
CodeDocument * | getParentDocument ()
Public Member Functions inherited from OwnedCodeBlock
| OwnedCodeBlock (UMLObject *parent)
virtual | ~OwnedCodeBlock ()
UMLObject * | getParentObject ()
Public Member Functions inherited from CodeBlockWithComments
| CodeBlockWithComments (CodeDocument *parent, const QString &body=QString(), const QString &comment=QString())
virtual | ~CodeBlockWithComments ()
void | setComment (CodeComment *object)
CodeComment * | getComment () const
void | setOverallIndentationLevel (int level)
Public Member Functions inherited from CodeBlock
| CodeBlock (CodeDocument *parent, const QString &body=QString())
virtual | ~CodeBlock ()
void | setContentType (ContentType new_var)
ContentType | contentType () const
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
bool | canDelete () const
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()

## Protected Member Functions
virtual void | applyStereotypes (QString &, UMLOperation *, bool, bool, QString &, QString &)
Protected Member Functions inherited from CodeOperation
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &element)
Protected Member Functions inherited from CodeMethodBlock
virtual void | release ()
void | setStartMethodText (const QString &value)
void | setEndMethodText (const QString &value)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)

## Additional Inherited Members
Public Types inherited from CodeBlock
enum | ContentType { AutoGenerated =0 , UserGenerated }
Public Slots inherited from CodeMethodBlock
virtual void | syncToParent ()
Public Slots inherited from OwnedCodeBlock
virtual void | syncToParent ()
Static Public Member Functions inherited from CodeOperation
static QString | findTag (UMLOperation *op)
Static Public Member Functions inherited from CodeBlock
static QString | enumToString (const ContentType &val)
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)

## Constructor & Destructor Documentation

## ◆ CPPHeaderCodeOperation()

CPPHeaderCodeOperation::CPPHeaderCodeOperation | ( | CPPHeaderCodeDocument * | doc,
|  | UMLOperation * | op,
|  | const QString & | body = QString(),
|  | const QString & | comment = QString() )

Constructor

## ◆ ~CPPHeaderCodeOperation()

CPPHeaderCodeOperation::~CPPHeaderCodeOperation | ( |  | ) |
| virtual

Empty Destructor

## Member Function Documentation

## ◆ applyStereotypes()

void CPPHeaderCodeOperation::applyStereotypes | ( | QString & | prototype,
|  | UMLOperation * | pOp,
|  | bool | inlinePolicy,
|  | bool | interface,
|  | QString & | start,
|  | QString & | end )
| protected virtual

Check to see if we have a valid stereotype to apply in the operation

## ◆ lastEditableLine()

int CPPHeaderCodeOperation::lastEditableLine | ( |  | ) |
| virtual

See also
  firstEditableLine

Reimplemented from TextBlock.

## ◆ updateContent()

void CPPHeaderCodeOperation::updateContent | ( |  | ) |
| virtual

This is the method called from within syncToparent() to update the *body* of the method. It is only called if the method is Auto-generated.

Reimplemented from CodeOperation.

## ◆ updateMethodDeclaration()

void CPPHeaderCodeOperation::updateMethodDeclaration | ( |  | ) |
| virtual

This is the method called from within syncToparent(). To update the start and end Method text. It is called whether or not the method is Auto or User generated.

Implements CodeOperation.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/cpp/cppheadercodeoperation.h
- umbrello/codegenerators/cpp/cppheadercodeoperation.cpp